curl --request GET \
--url https://openapi.rocketpunch.com/oauth/userinfo \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.rocketpunch.com/oauth/userinfo"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.rocketpunch.com/oauth/userinfo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sub": "OA-0123456789abcdef0123456789abcdef",
"name": "로켓펀치",
"preferred_username": "rocketpunch",
"picture": "https://image.rocketpunch.com/user/123/profile.png",
"email": "user@example.com"
}{
"code": "C0005",
"message": "요청 값이 올바르지 않습니다.",
"timestamp": "2026-05-20T09:00:00",
"details": "startDate"
}{
"code": "C0005",
"message": "요청 값이 올바르지 않습니다.",
"timestamp": "2026-05-20T09:00:00",
"details": "startDate"
}OAuth 사용자 정보 조회
OIDC UserInfo Standard Claims 형태와 호환되는 응답을 제공한다. profile scope 가 필요하며, 이메일은 access token 에 email scope 가 추가로 있을 때만 포함된다. 이 엔드포인트는 ID Token 을 발급하지 않는다.
인증: Authorization: Bearer <jwt> 헤더가 필요하다.
필수 OAuth scope: profile.
인증
사용자 컨텍스트 인증용 access token. Authorization: Bearer <jwt> 형식으로 전송한다. OAuth 클라이언트 앱이 Authorization Code + PKCE 흐름으로 발급받은 토큰을 사용한다.
헤더
응답 지원 로케일: ko, en, ja, zh-CN, zh-TW, es, fr, de, pt, th, vi. 미지정 시 ko 기본값
"ko"
응답
조회 성공. 인가되지 않았거나 값이 없는 선택 claim 은 응답에서 생략된다.
OIDC Standard Claims 형태와 호환되는 사용자 정보. 인가되지 않았거나 값이 없는 claim 은 생략된다.
Open API 서비스 전체에서 동일한 불변 외부 사용자 식별자
"OA-0123456789abcdef0123456789abcdef"
표시 이름 (profile scope)
"로켓펀치"
프로필 permalink (profile scope)
"rocketpunch"
절대 프로필 이미지 URL (profile scope)
"https://image.rocketpunch.com/user/123/profile.png"
이메일 주소 (email scope 가 추가로 있을 때만 포함)
"user@example.com"
이 페이지가 도움이 되었나요?